[options]
library = "GstCheck"
version = "1.0"
min_cfg_version = "1.8"
work_mode = "normal"
concurrency = "send+sync"
generate_safety_asserts = true
single_version_file = true
generate_display_trait = false
trust_return_value_nullability = true

external_libraries = [
    "GLib",
    "GObject",
    "Gst",
]

generate = [
]

manual = [
    "GObject.Object",
    "Gst.Object",
    "Gst.Clock",
    "Gst.ClockTimeDiff",
    "Gst.ClockType",
    "GstCheck.Harness",
]

[[object]]
name = "Gst.ClockTime"
status = "manual"
conversion_type = "scalar"

[[object]]
name = "GstCheck.TestClock"
status = "generate"
final_type = true
